Package org.eclipse.m2m.atl.emftvm

## Enum FeatureTag

- java.lang.Object
- - java.lang.Enum<FeatureTag>
  - - org.eclipse.m2m.atl.emftvm.FeatureTag

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<FeatureTag>`, `org.eclipse.emf.common.util.Enumerator`

    public enum FeatureTag
    extends java.lang.Enum<FeatureTag>
    implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Feature Tag', and utility methods for working with them.

See Also:
  `EmftvmPackage.getFeatureTag()`

### Enum Constant Summary

Enum Constants
`FIELD` The 'Field' literal object.
`OPERATION` The 'Operation' literal object.
`QUERY_OPERATION` The 'Query Operation' literal object.
`STATIC_FIELD` The 'Static Field' literal object.
`STATIC_OPERATION` The 'Static Operation' literal object.
`STATIC_QUERY_OPERATION` The 'Static Query Operation' literal object.

### Field Summary

Fields
`static int` `FIELD_VALUE` The 'Field' literal value.
`static int` `OPERATION_VALUE` The 'Operation' literal value.
`static int` `QUERY_OPERATION_VALUE` The 'Query Operation' literal value.
`static int` `STATIC_FIELD_VALUE` The 'Static Field' literal value.
`static int` `STATIC_OPERATION_VALUE` The 'Static Operation' literal value.
`static int` `STATIC_QUERY_OPERATION_VALUE` The 'Static Query Operation' literal value.
`static java.util.List<FeatureTag>` `VALUES` A public read-only list of all the 'Feature Tag' enumerators.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static FeatureTag` `get​(int value)` Returns the 'Feature Tag' literal with the specified integer value.
`static FeatureTag` `get​(java.lang.String literal)` Returns the 'Feature Tag' literal with the specified literal value.
`static FeatureTag` `getByName​(java.lang.String name)` Returns the 'Feature Tag' literal with the specified name.
`java.lang.String` `getLiteral()` Returns the literal string value.
`java.lang.String` `getName()` Returns the literal name.
`int` `getValue()` Returns the literal integer value.
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation.
`static FeatureTag` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static FeatureTag[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FIELD

    public static final FeatureTag FIELD

The 'Field' literal object.

See Also:
  `FIELD_VALUE`

#### STATIC_FIELD

    public static final FeatureTag STATIC_FIELD

The 'Static Field' literal object.

See Also:
  `STATIC_FIELD_VALUE`

#### OPERATION

    public static final FeatureTag OPERATION

The 'Operation' literal object.

See Also:
  `OPERATION_VALUE`

#### STATIC_OPERATION

    public static final FeatureTag STATIC_OPERATION

The 'Static Operation' literal object.

See Also:
  `STATIC_OPERATION_VALUE`

#### QUERY_OPERATION

    public static final FeatureTag QUERY_OPERATION

The 'Query Operation' literal object.

See Also:
  `QUERY_OPERATION_VALUE`

#### STATIC_QUERY_OPERATION

    public static final FeatureTag STATIC_QUERY_OPERATION

The 'Static Query Operation' literal object.

See Also:
  `STATIC_QUERY_OPERATION_VALUE`

### Field Detail

#### FIELD_VALUE

    public static final int FIELD_VALUE

The 'Field' literal value.

If the meaning of 'Field' literal object isn't clear, there really should be more of a description here...

See Also:
  `FIELD`, Constant Field Values

#### STATIC_FIELD_VALUE

    public static final int STATIC_FIELD_VALUE

The 'Static Field' literal value.

If the meaning of 'Static Field' literal object isn't clear, there really should be more of a description here...

See Also:
  `STATIC_FIELD`, Constant Field Values

#### OPERATION_VALUE

    public static final int OPERATION_VALUE

The 'Operation' literal value.

If the meaning of 'Operation' literal object isn't clear, there really should be more of a description here...

See Also:
  `OPERATION`, Constant Field Values

#### STATIC_OPERATION_VALUE

    public static final int STATIC_OPERATION_VALUE

The 'Static Operation' literal value.

If the meaning of 'Static Operation' literal object isn't clear, there really should be more of a description here...

See Also:
  `STATIC_OPERATION`, Constant Field Values

#### QUERY_OPERATION_VALUE

    public static final int QUERY_OPERATION_VALUE

The 'Query Operation' literal value.

If the meaning of 'Query Operation' literal object isn't clear, there really should be more of a description here...

See Also:
  `QUERY_OPERATION`, Constant Field Values

#### STATIC_QUERY_OPERATION_VALUE

    public static final int STATIC_QUERY_OPERATION_VALUE

The 'Static Query Operation' literal value.

If the meaning of 'Static Query Operation' literal object isn't clear, there really should be more of a description here...

See Also:
  `STATIC_QUERY_OPERATION`, Constant Field Values

#### VALUES

    public static final java.util.List<FeatureTag> VALUES

A public read-only list of all the 'Feature Tag' enumerators.

### Method Detail

#### values

    public static FeatureTag[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (FeatureTag c : FeatureTag.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static FeatureTag valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### get

    public static FeatureTag get​(java.lang.String literal)

Returns the 'Feature Tag' literal with the specified literal value.

Parameters:
  `literal` - the literal value
  `literal` - the literal.
Returns:
  the 'Feature Tag' literal with the specified literal value.

#### getByName

    public static FeatureTag getByName​(java.lang.String name)

Returns the 'Feature Tag' literal with the specified name.

Parameters:
  `name` - the literal name
  `name` - the name.
Returns:
  the 'Feature Tag' literal with the specified name.

#### get

    public static FeatureTag get​(int value)

Returns the 'Feature Tag' literal with the specified integer value.

Parameters:
  `value` - the literal integer value
  `value` - the integer value.
Returns:
  the 'Feature Tag' literal with the specified integer value.

#### getValue

    public int getValue()

Returns the literal integer value.

Specified by:
  `getValue` in interface `org.eclipse.emf.common.util.Enumerator`
Returns:
  the literal integer value.

#### getName

    public java.lang.String getName()

Returns the literal name.

Specified by:
  `getName` in interface `org.eclipse.emf.common.util.Enumerator`
Returns:
  the literal name.

#### getLiteral

    public java.lang.String getLiteral()

Returns the literal string value.

Specified by:
  `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`
Returns:
  the literal string value.

#### toString

    public java.lang.String toString()

Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `java.lang.Enum<FeatureTag>`
Returns:
  the literal value of the enumerator, which is its string representation.